-------------------------------------------------------------------------------
-- Premade Groups Filter
-------------------------------------------------------------------------------
-- Copyright (C) 2022 Elotheon-Arthas-EU
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License along
-- with this program; if not, write to the Free Software Foundation, Inc.,
-- 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
-------------------------------------------------------------------------------

local PGF = select(2, ...)
local L = PGF.L
local C = PGF.C

C.ACTIVITY = {
    [   4] = { difficulty = 1, category = 3, mapID = 1136, cmID =   0 }, -- Siege of Orgrimmar (Normal)
    [   9] = { difficulty = 1, category = 3, mapID =  409, cmID =   0 }, -- Molten Core
    [  18] = { difficulty = 1, category = 2, mapID =   36, cmID =   0 }, -- Deadmines (Normal)
    [  21] = { difficulty = 1, category = 2, mapID = 1175, cmID =   0 }, -- Bloodmaul Slag Mines (Normal)
    [  22] = { difficulty = 1, category = 2, mapID = 1195, cmID =   0 }, -- Iron Docks (Normal)
    [  23] = { difficulty = 1, category = 2, mapID = 1182, cmID =   0 }, -- Auchindoun (Normal)
    [  24] = { difficulty = 1, category = 2, mapID = 1209, cmID =   0 }, -- Skyreach (Normal)
    [  25] = { difficulty = 1, category = 2, mapID = 1208, cmID =   0 }, -- Grimrail Depot (Normal)
    [  26] = { difficulty = 1, category = 2, mapID = 1279, cmID =   0 }, -- The Everbloom (Normal)
    [  27] = { difficulty = 1, category = 2, mapID = 1176, cmID =   0 }, -- Shadowmoon Burial Grounds (Normal)
    [  28] = { difficulty = 1, category = 2, mapID = 1358, cmID =   0 }, -- Upper Blackrock Spire (Normal)
    [  29] = { difficulty = 2, category = 2, mapID = 1175, cmID =   0 }, -- Bloodmaul Slag Mines (Heroic)
    [  30] = { difficulty = 2, category = 2, mapID = 1195, cmID =   0 }, -- Iron Docks (Heroic)
    [  31] = { difficulty = 2, category = 2, mapID = 1182, cmID =   0 }, -- Auchindoun (Heroic)
    [  32] = { difficulty = 2, category = 2, mapID = 1209, cmID =   0 }, -- Skyreach (Heroic)
    [  33] = { difficulty = 2, category = 2, mapID = 1208, cmID =   0 }, -- Grimrail Depot (Heroic)
    [  34] = { difficulty = 2, category = 2, mapID = 1279, cmID =   0 }, -- The Everbloom (Heroic)
    [  35] = { difficulty = 2, category = 2, mapID = 1176, cmID =   0 }, -- Shadowmoon Burial Grounds (Heroic)
    [  36] = { difficulty = 2, category = 2, mapID = 1358, cmID =   0 }, -- Upper Blackrock Spire (Heroic)
    [  37] = { difficulty = 1, category = 3, mapID = 1228, cmID =   0 }, -- Highmaul (Normal)
    [  38] = { difficulty = 2, category = 3, mapID = 1228, cmID =   0 }, -- Highmaul (Heroic)
    [  39] = { difficulty = 1, category = 3, mapID = 1205, cmID =   0 }, -- Blackrock Foundry (Normal)
    [  40] = { difficulty = 2, category = 3, mapID = 1205, cmID =   0 }, -- Blackrock Foundry (Heroic)
    [  41] = { difficulty = 2, category = 3, mapID = 1136, cmID =   0 }, -- Siege of Orgrimmar (Heroic)
    [  42] = { difficulty = 3, category = 3, mapID = 1136, cmID =   0 }, -- Siege of Orgrimmar (Mythic)
    [  43] = { difficulty = 1, category = 3, mapID =  533, cmID =   0 }, -- Naxxramas (10 Player)
    [  44] = { difficulty = 1, category = 3, mapID =  533, cmID =   0 }, -- Naxxramas (25 Player)
    [  45] = { difficulty = 1, category = 3, mapID =  532, cmID =   0 }, -- Karazhan
    [  46] = { difficulty = 1, category = 3, mapID =  631, cmID =   0 }, -- Icecrown Citadel (10 Normal)
    [  47] = { difficulty = 2, category = 3, mapID =  631, cmID =   0 }, -- Icecrown Citadel (10 Heroic)
    [  48] = { difficulty = 1, category = 3, mapID =  631, cmID =   0 }, -- Icecrown Citadel (25 Normal)
    [  49] = { difficulty = 2, category = 3, mapID =  631, cmID =   0 }, -- Icecrown Citadel (25 Heroic)
    [  50] = { difficulty = 1, category = 2, mapID =   43, cmID =   0 }, -- Wailing Caverns (Normal)
    [  51] = { difficulty = 1, category = 2, mapID = 1007, cmID =   0 }, -- Scholomance (Normal)
    [  52] = { difficulty = 1, category = 2, mapID =  389, cmID =   0 }, -- Ragefire Chasm (Normal)
    [  53] = { difficulty = 1, category = 2, mapID =   33, cmID =   0 }, -- Shadowfang Keep (Normal)
    [  54] = { difficulty = 1, category = 2, mapID =   48, cmID =   0 }, -- Blackfathom Deeps (Normal)
    [  55] = { difficulty = 1, category = 2, mapID =   34, cmID =   0 }, -- Stormwind Stockade (Normal)
    [  56] = { difficulty = 1, category = 2, mapID =   90, cmID =   0 }, -- Gnomeregan (Normal)
    [  57] = { difficulty = 1, category = 2, mapID =   47, cmID =   0 }, -- Razorfen Kraul (Normal)
    [  58] = { difficulty = 1, category = 2, mapID =  129, cmID =   0 }, -- Razorfen Downs (Normal)
    [  59] = { difficulty = 1, category = 2, mapID =   70, cmID =   0 }, -- Uldaman (Normal)
    [  60] = { difficulty = 1, category = 2, mapID =  209, cmID =   0 }, -- Zul'Farrak (Normal)
    [  61] = { difficulty = 1, category = 2, mapID =  349, cmID =   0 }, -- Maraudon (Normal)
    [  62] = { difficulty = 1, category = 2, mapID =  109, cmID =   0 }, -- Sunken Temple (Normal)
    [  63] = { difficulty = 1, category = 2, mapID =  230, cmID =   0 }, -- Blackrock Depths (Normal)
    [  64] = { difficulty = 1, category = 2, mapID =  229, cmID =   0 }, -- Lower Blackrock Spire (Normal)
    [  65] = { difficulty = 1, category = 2, mapID =  429, cmID =   0 }, -- Dire Maul (Normal)
    [  66] = { difficulty = 1, category = 2, mapID =  329, cmID =   0 }, -- Stratholme (Normal)
    [  67] = { difficulty = 1, category = 2, mapID =  543, cmID =   0 }, -- Hellfire Ramparts (Normal)
    [  68] = { difficulty = 1, category = 2, mapID =  542, cmID =   0 }, -- Blood Furnace (Normal)
    [  69] = { difficulty = 1, category = 2, mapID =  540, cmID =   0 }, -- Shattered Halls (Normal)
    [  70] = { difficulty = 1, category = 2, mapID =  547, cmID =   0 }, -- Slave Pens (Normal)
    [  71] = { difficulty = 1, category = 2, mapID =  546, cmID =   0 }, -- Underbog (Normal)
    [  72] = { difficulty = 1, category = 2, mapID =  545, cmID =   0 }, -- The Steamvault (Normal)
    [  73] = { difficulty = 1, category = 2, mapID =  557, cmID =   0 }, -- Mana-Tombs (Normal)
    [  74] = { difficulty = 1, category = 2, mapID =  558, cmID =   0 }, -- Auchenai Crypts (Normal)
    [  75] = { difficulty = 1, category = 2, mapID =  556, cmID =   0 }, -- Sethekk Halls (Normal)
    [  76] = { difficulty = 1, category = 2, mapID =  555, cmID =   0 }, -- Shadow Labyrinth (Normal)
    [  77] = { difficulty = 1, category = 2, mapID = 1001, cmID =   0 }, -- Scarlet Halls (Normal)
    [  78] = { difficulty = 1, category = 2, mapID = 1004, cmID =   0 }, -- Scarlet Monastery (Normal)
    [  79] = { difficulty = 1, category = 2, mapID =  560, cmID =   0 }, -- The Escape from Durnholde (Normal)
    [  80] = { difficulty = 1, category = 2, mapID =  269, cmID =   0 }, -- Opening of the Dark Portal (Normal)
    [  81] = { difficulty = 1, category = 2, mapID =  554, cmID =   0 }, -- The Mechanar (Normal)
    [  82] = { difficulty = 1, category = 2, mapID =  553, cmID =   0 }, -- The Botanica (Normal)
    [  83] = { difficulty = 1, category = 2, mapID =  552, cmID =   0 }, -- The Arcatraz (Normal)
    [  84] = { difficulty = 2, category = 2, mapID =  558, cmID =   0 }, -- Auchenai Crypts (Heroic)
    [  85] = { difficulty = 2, category = 2, mapID =  557, cmID =   0 }, -- Mana-Tombs (Heroic)
    [  86] = { difficulty = 2, category = 2, mapID =  556, cmID =   0 }, -- Sethekk Halls (Heroic)
    [  87] = { difficulty = 2, category = 2, mapID =  555, cmID =   0 }, -- Shadow Labyrinth (Heroic)
    [  88] = { difficulty = 2, category = 2, mapID =  269, cmID =   0 }, -- Opening of the Dark Portal (Heroic)
    [  89] = { difficulty = 2, category = 2, mapID =  560, cmID =   0 }, -- The Escape from Durnholde (Heroic)
    [  90] = { difficulty = 2, category = 2, mapID =  547, cmID =   0 }, -- Slave Pens (Heroic)
    [  91] = { difficulty = 2, category = 2, mapID =  545, cmID =   0 }, -- The Steamvault (Heroic)
    [  92] = { difficulty = 2, category = 2, mapID =  546, cmID =   0 }, -- Underbog (Heroic)
    [  93] = { difficulty = 2, category = 2, mapID =  542, cmID =   0 }, -- Blood Furnace (Heroic)
    [  94] = { difficulty = 2, category = 2, mapID =  543, cmID =   0 }, -- Hellfire Ramparts (Heroic)
    [  95] = { difficulty = 2, category = 2, mapID =  540, cmID =   0 }, -- Shattered Halls (Heroic)
    [  96] = { difficulty = 2, category = 2, mapID =  552, cmID =   0 }, -- The Arcatraz (Heroic)
    [  97] = { difficulty = 2, category = 2, mapID =  553, cmID =   0 }, -- The Botanica (Heroic)
    [  98] = { difficulty = 2, category = 2, mapID =  554, cmID =   0 }, -- The Mechanar (Heroic)
    [  99] = { difficulty = 1, category = 2, mapID =  585, cmID =   0 }, -- Magisters' Terrace (Normal)
    [ 100] = { difficulty = 2, category = 2, mapID =  585, cmID =   0 }, -- Magisters' Terrace (Heroic)
    [ 101] = { difficulty = 1, category = 2, mapID =  574, cmID =   0 }, -- Utgarde Keep (Normal)
    [ 102] = { difficulty = 1, category = 2, mapID =  575, cmID =   0 }, -- Utgarde Pinnacle (Normal)
    [ 103] = { difficulty = 1, category = 2, mapID =  601, cmID =   0 }, -- Azjol-Nerub (Normal)
    [ 104] = { difficulty = 1, category = 2, mapID =  578, cmID =   0 }, -- The Oculus (Normal)
    [ 105] = { difficulty = 1, category = 2, mapID =  602, cmID =   0 }, -- Halls of Lightning (Normal)
    [ 106] = { difficulty = 1, category = 2, mapID =  599, cmID =   0 }, -- Halls of Stone (Normal)
    [ 107] = { difficulty = 1, category = 2, mapID =  595, cmID =   0 }, -- The Culling of Stratholme (Normal)
    [ 108] = { difficulty = 1, category = 2, mapID =  600, cmID =   0 }, -- Drak'Tharon Keep (Normal)
    [ 109] = { difficulty = 1, category = 2, mapID =  604, cmID =   0 }, -- Gundrak (Normal)
    [ 110] = { difficulty = 1, category = 2, mapID =  619, cmID =   0 }, -- Ahn'kahet: The Old Kingdom (Normal)
    [ 111] = { difficulty = 1, category = 2, mapID =  608, cmID =   0 }, -- Violet Hold (Normal)
    [ 112] = { difficulty = 1, category = 2, mapID =  576, cmID =   0 }, -- The Nexus (Normal)
    [ 113] = { difficulty = 1, category = 2, mapID =  650, cmID =   0 }, -- Trial of the Champion (Normal)
    [ 114] = { difficulty = 1, category = 2, mapID =  632, cmID =   0 }, -- The Forge of Souls (Normal)
    [ 115] = { difficulty = 1, category = 2, mapID =  658, cmID =   0 }, -- Pit of Saron (Normal)
    [ 116] = { difficulty = 1, category = 2, mapID =  668, cmID =   0 }, -- Halls of Reflection (Normal)
    [ 117] = { difficulty = 2, category = 2, mapID =  575, cmID =   0 }, -- Utgarde Pinnacle (Heroic)
    [ 118] = { difficulty = 2, category = 2, mapID =  595, cmID =   0 }, -- The Culling of Stratholme (Heroic)
    [ 119] = { difficulty = 2, category = 2, mapID =  578, cmID =   0 }, -- The Oculus (Heroic)
    [ 120] = { difficulty = 2, category = 2, mapID =  602, cmID =   0 }, -- Halls of Lightning (Heroic)
    [ 121] = { difficulty = 2, category = 2, mapID =  599, cmID =   0 }, -- Halls of Stone (Heroic)
    [ 122] = { difficulty = 2, category = 2, mapID =  600, cmID =   0 }, -- Drak'Tharon Keep (Heroic)
    [ 123] = { difficulty = 2, category = 2, mapID =  604, cmID =   0 }, -- Gundrak (Heroic)
    [ 124] = { difficulty = 2, category = 2, mapID =  619, cmID =   0 }, -- Ahn'kahet: The Old Kingdom (Heroic)
    [ 125] = { difficulty = 2, category = 2, mapID =  608, cmID =   0 }, -- Violet Hold (Heroic)
    [ 126] = { difficulty = 2, category = 2, mapID =  576, cmID =   0 }, -- The Nexus (Heroic)
    [ 127] = { difficulty = 2, category = 2, mapID =  601, cmID =   0 }, -- Azjol-Nerub (Heroic)
    [ 128] = { difficulty = 2, category = 2, mapID =  574, cmID =   0 }, -- Utgarde Keep (Heroic)
    [ 129] = { difficulty = 2, category = 2, mapID =  650, cmID =   0 }, -- Trial of the Champion (Heroic)
    [ 130] = { difficulty = 2, category = 2, mapID =  632, cmID =   0 }, -- The Forge of Souls (Heroic)
    [ 131] = { difficulty = 2, category = 2, mapID =  658, cmID =   0 }, -- Pit of Saron (Heroic)
    [ 132] = { difficulty = 2, category = 2, mapID =  668, cmID =   0 }, -- Halls of Reflection (Heroic)
    [ 133] = { difficulty = 1, category = 2, mapID =  643, cmID =   0 }, -- Throne of the Tides (Normal)
    [ 134] = { difficulty = 1, category = 2, mapID =  645, cmID =   0 }, -- Blackrock Caverns (Normal)
    [ 135] = { difficulty = 1, category = 2, mapID =  670, cmID =   0 }, -- Grim Batol (Normal)
    [ 136] = { difficulty = 1, category = 2, mapID =  644, cmID =   0 }, -- Halls of Origination (Normal)
    [ 137] = { difficulty = 1, category = 2, mapID =  725, cmID =   0 }, -- The Stonecore (Normal)
    [ 138] = { difficulty = 1, category = 2, mapID =  657, cmID =   0 }, -- The Vortex Pinnacle (Normal)
    [ 139] = { difficulty = 1, category = 2, mapID =  755, cmID =   0 }, -- Lost City of the Tol'vir (Normal)
    [ 140] = { difficulty = 2, category = 2, mapID =  657, cmID =   0 }, -- The Vortex Pinnacle (Heroic)
    [ 141] = { difficulty = 2, category = 2, mapID =  725, cmID =   0 }, -- The Stonecore (Heroic)
    [ 142] = { difficulty = 2, category = 2, mapID =  644, cmID =   0 }, -- Halls of Origination (Heroic)
    [ 143] = { difficulty = 2, category = 2, mapID =  670, cmID =   0 }, -- Grim Batol (Heroic)
    [ 144] = { difficulty = 2, category = 2, mapID =  645, cmID =   0 }, -- Blackrock Caverns (Heroic)
    [ 146] = { difficulty = 2, category = 2, mapID =  643, cmID =   0 }, -- Throne of the Tides (Heroic)
    [ 147] = { difficulty = 2, category = 2, mapID =  755, cmID =   0 }, -- Lost City of the Tol'vir (Heroic)
    [ 148] = { difficulty = 2, category = 2, mapID =   36, cmID =   0 }, -- Deadmines (Heroic)
    [ 149] = { difficulty = 2, category = 2, mapID =   33, cmID =   0 }, -- Shadowfang Keep (Heroic)
    [ 150] = { difficulty = 2, category = 2, mapID =  859, cmID =   0 }, -- Zul'Gurub (Heroic)
    [ 151] = { difficulty = 2, category = 2, mapID =  568, cmID =   0 }, -- Zul'Aman (Heroic)
    [ 152] = { difficulty = 2, category = 2, mapID =  938, cmID =   0 }, -- End Time (Heroic)
    [ 153] = { difficulty = 2, category = 2, mapID =  939, cmID =   0 }, -- Well of Eternity (Heroic)
    [ 154] = { difficulty = 2, category = 2, mapID =  940, cmID =   0 }, -- Hour of Twilight (Heroic)
    [ 155] = { difficulty = 1, category = 2, mapID =  960, cmID =   0 }, -- Temple of the Jade Serpent (Normal)
    [ 156] = { difficulty = 1, category = 2, mapID =  961, cmID =   0 }, -- Stormstout Brewery (Normal)
    [ 157] = { difficulty = 1, category = 2, mapID =  959, cmID =   0 }, -- Shado-Pan Monastery (Normal)
    [ 158] = { difficulty = 1, category = 2, mapID =  994, cmID =   0 }, -- Mogu'shan Palace (Normal)
    [ 159] = { difficulty = 1, category = 2, mapID = 1011, cmID =   0 }, -- Siege of Niuzao Temple (Normal)
    [ 160] = { difficulty = 1, category = 2, mapID =  962, cmID =   0 }, -- Gate of the Setting Sun (Normal)
    [ 163] = { difficulty = 2, category = 2, mapID =  960, cmID =   0 }, -- Temple of the Jade Serpent (Heroic)
    [ 164] = { difficulty = 2, category = 2, mapID =  961, cmID =   0 }, -- Stormstout Brewery (Heroic)
    [ 165] = { difficulty = 2, category = 2, mapID =  959, cmID =   0 }, -- Shado-Pan Monastery (Heroic)
    [ 166] = { difficulty = 2, category = 2, mapID =  994, cmID =   0 }, -- Mogu'shan Palace (Heroic)
    [ 167] = { difficulty = 2, category = 2, mapID =  962, cmID =   0 }, -- Gate of the Setting Sun (Heroic)
    [ 168] = { difficulty = 1, category = 2, mapID = 1007, cmID =   0 }, -- Scholomance (Heroic)
    [ 169] = { difficulty = 2, category = 2, mapID = 1004, cmID =   0 }, -- Scarlet Monastery (Heroic)
    [ 170] = { difficulty = 2, category = 2, mapID = 1001, cmID =   0 }, -- Scarlet Halls (Heroic)
    [ 171] = { difficulty = 2, category = 2, mapID = 1011, cmID =   0 }, -- Siege of Niuzao Temple (Heroic)
    [ 179] = { difficulty = 4, category = 2, mapID = 1175, cmID = 163 }, -- Bloodmaul Slag Mines (Challenge)
    [ 180] = { difficulty = 4, category = 2, mapID = 1195, cmID = 169 }, -- Iron Docks (Mythic Keystone)
    [ 181] = { difficulty = 4, category = 2, mapID = 1182, cmID = 164 }, -- Auchindoun (Challenge)
    [ 182] = { difficulty = 4, category = 2, mapID = 1209, cmID = 161 }, -- Skyreach (Challenge)
    [ 183] = { difficulty = 4, category = 2, mapID = 1208, cmID = 166 }, -- Grimrail Depot (Mythic Keystone)
    [ 184] = { difficulty = 4, category = 2, mapID = 1279, cmID = 168 }, -- The Everbloom (Mythic Keystone)
    [ 186] = { difficulty = 4, category = 2, mapID = 1358, cmID = 167 }, -- Upper Blackrock Spire (Challenge)
    [ 293] = { difficulty = 1, category = 3, mapID =  469, cmID =   0 }, -- Blackwing Lair
    [ 294] = { difficulty = 1, category = 3, mapID =  509, cmID =   0 }, -- Ruins of Ahn'Qiraj
    [ 295] = { difficulty = 1, category = 3, mapID =  531, cmID =   0 }, -- Ahn'Qiraj Temple
    [ 296] = { difficulty = 1, category = 3, mapID =  565, cmID =   0 }, -- Gruul's Lair
    [ 297] = { difficulty = 1, category = 3, mapID =  544, cmID =   0 }, -- Magtheridon's Lair
    [ 298] = { difficulty = 1, category = 3, mapID =  548, cmID =   0 }, -- Serpentshrine Cavern
    [ 299] = { difficulty = 1, category = 3, mapID =  550, cmID =   0 }, -- Tempest Keep
    [ 300] = { difficulty = 1, category = 3, mapID =  564, cmID =   0 }, -- Black Temple
    [ 301] = { difficulty = 1, category = 3, mapID =  580, cmID =   0 }, -- The Sunwell
    [ 303] = { difficulty = 1, category = 3, mapID =  603, cmID =   0 }, -- Ulduar
    [ 304] = { difficulty = 1, category = 3, mapID =  649, cmID =   0 }, -- Trial of the Crusader (10 Normal)
    [ 305] = { difficulty = 2, category = 3, mapID =  649, cmID =   0 }, -- Trial of the Crusader (10 Heroic)
    [ 306] = { difficulty = 1, category = 3, mapID =  649, cmID =   0 }, -- Trial of the Crusader (25 Normal)
    [ 307] = { difficulty = 2, category = 3, mapID =  649, cmID =   0 }, -- Trial of the Crusader (25 Heroic)
    [ 308] = { difficulty = 1, category = 3, mapID =  724, cmID =   0 }, -- The Ruby Sanctum (10 Normal)
    [ 309] = { difficulty = 2, category = 3, mapID =  724, cmID =   0 }, -- The Ruby Sanctum (10 Heroic)
    [ 310] = { difficulty = 1, category = 3, mapID =  724, cmID =   0 }, -- The Ruby Sanctum (25 Normal)
    [ 311] = { difficulty = 2, category = 3, mapID =  724, cmID =   0 }, -- The Ruby Sanctum (25 Heroic)
    [ 313] = { difficulty = 1, category = 3, mapID =  669, cmID =   0 }, -- Blackwing Descent (10 Normal)
    [ 316] = { difficulty = 1, category = 3, mapID =  669, cmID =   0 }, -- Blackwing Descent (25 Normal)
    [ 317] = { difficulty = 2, category = 3, mapID =  669, cmID =   0 }, -- Blackwing Descent (10 Heroic)
    [ 318] = { difficulty = 2, category = 3, mapID =  669, cmID =   0 }, -- Blackwing Descent (25 Heroic)
    [ 319] = { difficulty = 1, category = 3, mapID =  671, cmID =   0 }, -- The Bastion of Twilight (10 Normal)
    [ 320] = { difficulty = 2, category = 3, mapID =  671, cmID =   0 }, -- The Bastion of Twilight (10 Heroic)
    [ 321] = { difficulty = 2, category = 3, mapID =  671, cmID =   0 }, -- The Bastion of Twilight (25 Heroic)
    [ 322] = { difficulty = 1, category = 3, mapID =  671, cmID =   0 }, -- The Bastion of Twilight (25 Normal)
    [ 323] = { difficulty = 1, category = 3, mapID =  754, cmID =   0 }, -- Throne of the Four Winds (10 Normal)
    [ 324] = { difficulty = 2, category = 3, mapID =  754, cmID =   0 }, -- Throne of the Four Winds (10 Heroic)
    [ 325] = { difficulty = 2, category = 3, mapID =  754, cmID =   0 }, -- Throne of the Four Winds (25 Heroic)
    [ 326] = { difficulty = 1, category = 3, mapID =  754, cmID =   0 }, -- Throne of the Four Winds (25 Normal)
    [ 331] = { difficulty = 1, category = 3, mapID =  967, cmID =   0 }, -- Dragon Soul (10 Normal)
    [ 332] = { difficulty = 2, category = 3, mapID =  967, cmID =   0 }, -- Dragon Soul (10 Heroic)
    [ 333] = { difficulty = 2, category = 3, mapID =  967, cmID =   0 }, -- Dragon Soul (25 Heroic)
    [ 334] = { difficulty = 1, category = 3, mapID =  967, cmID =   0 }, -- Dragon Soul (25 Normal)
    [ 335] = { difficulty = 1, category = 3, mapID = 1008, cmID =   0 }, -- Mogu'shan Vaults (10 Normal)
    [ 336] = { difficulty = 2, category = 3, mapID = 1008, cmID =   0 }, -- Mogu'shan Vaults (10 Heroic)
    [ 337] = { difficulty = 1, category = 3, mapID = 1008, cmID =   0 }, -- Mogu'shan Vaults (25 Normal)
    [ 338] = { difficulty = 2, category = 3, mapID = 1008, cmID =   0 }, -- Mogu'shan Vaults (25 Heroic)
    [ 339] = { difficulty = 1, category = 3, mapID = 1009, cmID =   0 }, -- Heart of Fear (10 Normal)
    [ 340] = { difficulty = 2, category = 3, mapID = 1009, cmID =   0 }, -- Heart of Fear (10 Heroic)
    [ 341] = { difficulty = 1, category = 3, mapID = 1009, cmID =   0 }, -- Heart of Fear (25 Normal)
    [ 342] = { difficulty = 2, category = 3, mapID = 1009, cmID =   0 }, -- Heart of Fear (25 Heroic)
    [ 343] = { difficulty = 1, category = 3, mapID =  996, cmID =   0 }, -- Terrace of Endless Spring (10 Normal)
    [ 344] = { difficulty = 2, category = 3, mapID =  996, cmID =   0 }, -- Terrace of Endless Spring (10 Heroic)
    [ 345] = { difficulty = 1, category = 3, mapID =  996, cmID =   0 }, -- Terrace of Endless Spring (25 Normal)
    [ 346] = { difficulty = 2, category = 3, mapID =  996, cmID =   0 }, -- Terrace of Endless Spring (25 Heroic)
    [ 347] = { difficulty = 1, category = 3, mapID = 1098, cmID =   0 }, -- Throne of Thunder (10 Normal)
    [ 348] = { difficulty = 2, category = 3, mapID = 1098, cmID =   0 }, -- Throne of Thunder (10 Heroic)
    [ 349] = { difficulty = 2, category = 3, mapID = 1098, cmID =   0 }, -- Throne of Thunder (25 Heroic)
    [ 350] = { difficulty = 1, category = 3, mapID = 1098, cmID =   0 }, -- Throne of Thunder (25 Normal)
    [ 363] = { difficulty = 1, category = 2, mapID =  870, cmID =   0 }, -- Random Pandaria Dungeon (Normal)
    [ 364] = { difficulty = 2, category = 2, mapID =  870, cmID =   0 }, -- Random Pandaria Dungeon (Heroic)
    [ 395] = { difficulty = 1, category = 2, mapID = 1116, cmID =   0 }, -- Random Warlords Dungeon (Normal)
    [ 396] = { difficulty = 2, category = 2, mapID = 1116, cmID =   0 }, -- Random Warlords Dungeon (Heroic)
    [ 399] = { difficulty = 3, category = 3, mapID = 1228, cmID =   0 }, -- Highmaul (Mythic)
    [ 400] = { difficulty = 3, category = 3, mapID = 1205, cmID =   0 }, -- Blackrock Foundry (Mythic)
    [ 401] = { difficulty = 3, category = 2, mapID = 1175, cmID =   0 }, -- Bloodmaul Slag Mines (Mythic)
    [ 402] = { difficulty = 3, category = 2, mapID = 1195, cmID =   0 }, -- Iron Docks (Mythic)
    [ 403] = { difficulty = 3, category = 2, mapID = 1182, cmID =   0 }, -- Auchindoun (Mythic)
    [ 404] = { difficulty = 3, category = 2, mapID = 1209, cmID =   0 }, -- Skyreach (Mythic)
    [ 405] = { difficulty = 3, category = 2, mapID = 1208, cmID =   0 }, -- Grimrail Depot (Mythic)
    [ 406] = { difficulty = 3, category = 2, mapID = 1279, cmID =   0 }, -- The Everbloom (Mythic)
    [ 407] = { difficulty = 3, category = 2, mapID = 1176, cmID =   0 }, -- Shadowmoon Burial Grounds (Mythic)
    [ 408] = { difficulty = 3, category = 2, mapID = 1358, cmID =   0 }, -- Upper Blackrock Spire (Mythic)
    [ 409] = { difficulty = 1, category = 3, mapID = 1448, cmID =   0 }, -- Hellfire Citadel (Normal)
    [ 410] = { difficulty = 2, category = 3, mapID = 1448, cmID =   0 }, -- Hellfire Citadel (Heroic)
    [ 412] = { difficulty = 3, category = 3, mapID = 1448, cmID =   0 }, -- Hellfire Citadel (Mythic)
    [ 413] = { difficulty = 1, category = 3, mapID = 1520, cmID =   0 }, -- Emerald Nightmare (Normal)
    [ 414] = { difficulty = 2, category = 3, mapID = 1520, cmID =   0 }, -- Emerald Nightmare (Heroic)
    [ 415] = { difficulty = 1, category = 3, mapID = 1530, cmID =   0 }, -- The Nighthold (Normal)
    [ 416] = { difficulty = 2, category = 3, mapID = 1530, cmID =   0 }, -- The Nighthold (Heroic)
    [ 417] = { difficulty = 1, category = 2, mapID = 1220, cmID =   0 }, -- Random Legion Dungeon (Normal)
    [ 418] = { difficulty = 2, category = 2, mapID = 1220, cmID =   0 }, -- Random Legion Dungeon (Heroic)
    [ 425] = { difficulty = 1, category = 2, mapID = 1456, cmID =   0 }, -- Eye of Azshara (Normal)
    [ 426] = { difficulty = 1, category = 2, mapID = 1466, cmID =   0 }, -- Darkheart Thicket (Normal)
    [ 427] = { difficulty = 1, category = 2, mapID = 1477, cmID =   0 }, -- Halls of Valor (Normal)
    [ 428] = { difficulty = 1, category = 2, mapID = 1458, cmID =   0 }, -- Neltharion's Lair (Normal)
    [ 429] = { difficulty = 1, category = 2, mapID = 1544, cmID =   0 }, -- Assault on Violet Hold (Normal)
    [ 430] = { difficulty = 1, category = 2, mapID = 1501, cmID =   0 }, -- Black Rook Hold (Normal)
    [ 431] = { difficulty = 1, category = 2, mapID = 1493, cmID =   0 }, -- Vault of the Wardens (Normal)
    [ 432] = { difficulty = 1, category = 2, mapID = 1492, cmID =   0 }, -- Maw of Souls (Normal)
    [ 433] = { difficulty = 1, category = 2, mapID = 1571, cmID =   0 }, -- Court of Stars (Normal)
    [ 434] = { difficulty = 1, category = 2, mapID = 1516, cmID =   0 }, -- The Arcway (Normal)
    [ 435] = { difficulty = 2, category = 2, mapID = 1456, cmID =   0 }, -- Eye of Azshara (Heroic)
    [ 436] = { difficulty = 2, category = 2, mapID = 1466, cmID =   0 }, -- Darkheart Thicket (Heroic)
    [ 437] = { difficulty = 2, category = 2, mapID = 1477, cmID =   0 }, -- Halls of Valor (Heroic)
    [ 438] = { difficulty = 2, category = 2, mapID = 1458, cmID =   0 }, -- Neltharion's Lair (Heroic)
    [ 439] = { difficulty = 2, category = 2, mapID = 1544, cmID =   0 }, -- Assault on Violet Hold (Heroic)
    [ 440] = { difficulty = 2, category = 2, mapID = 1501, cmID =   0 }, -- Black Rook Hold (Heroic)
    [ 441] = { difficulty = 2, category = 2, mapID = 1493, cmID =   0 }, -- Vault of the Wardens (Heroic)
    [ 442] = { difficulty = 2, category = 2, mapID = 1492, cmID =   0 }, -- Maw of Souls (Heroic)
    [ 443] = { difficulty = 2, category = 2, mapID = 1571, cmID =   0 }, -- Court of Stars (Heroic)
    [ 444] = { difficulty = 2, category = 2, mapID = 1516, cmID =   0 }, -- The Arcway (Heroic)
    [ 445] = { difficulty = 3, category = 2, mapID = 1456, cmID =   0 }, -- Eye of Azshara (Mythic)
    [ 446] = { difficulty = 3, category = 2, mapID = 1466, cmID =   0 }, -- Darkheart Thicket (Mythic)
    [ 447] = { difficulty = 3, category = 2, mapID = 1477, cmID =   0 }, -- Halls of Valor (Mythic)
    [ 448] = { difficulty = 3, category = 2, mapID = 1458, cmID =   0 }, -- Neltharion's Lair (Mythic)
    [ 449] = { difficulty = 3, category = 2, mapID = 1544, cmID =   0 }, -- Assault on Violet Hold (Mythic)
    [ 450] = { difficulty = 3, category = 2, mapID = 1501, cmID =   0 }, -- Black Rook Hold (Mythic)
    [ 451] = { difficulty = 3, category = 2, mapID = 1493, cmID =   0 }, -- Vault of the Wardens (Mythic)
    [ 452] = { difficulty = 3, category = 2, mapID = 1492, cmID =   0 }, -- Maw of Souls (Mythic)
    [ 453] = { difficulty = 3, category = 2, mapID = 1571, cmID =   0 }, -- Court of Stars (Mythic)
    [ 454] = { difficulty = 3, category = 2, mapID = 1516, cmID =   0 }, -- The Arcway (Mythic)
    [ 455] = { difficulty = 3, category = 2, mapID = 1651, cmID =   0 }, -- Return to Karazhan (Mythic)
    [ 456] = { difficulty = 1, category = 3, mapID = 1648, cmID =   0 }, -- Trial of Valor (Normal)
    [ 457] = { difficulty = 2, category = 3, mapID = 1648, cmID =   0 }, -- Trial of Valor (Heroic)
    [ 459] = { difficulty = 4, category = 2, mapID = 1456, cmID = 197 }, -- Eye of Azshara (Mythic Keystone)
    [ 460] = { difficulty = 4, category = 2, mapID = 1466, cmID = 198 }, -- Darkheart Thicket (Mythic Keystone)
    [ 461] = { difficulty = 4, category = 2, mapID = 1477, cmID = 200 }, -- Halls of Valor (Mythic Keystone)
    [ 462] = { difficulty = 4, category = 2, mapID = 1458, cmID = 206 }, -- Neltharion's Lair (Mythic Keystone)
    [ 463] = { difficulty = 4, category = 2, mapID = 1501, cmID = 199 }, -- Black Rook Hold (Mythic Keystone)
    [ 464] = { difficulty = 4, category = 2, mapID = 1493, cmID = 207 }, -- Vault of the Wardens (Mythic Keystone)
    [ 465] = { difficulty = 4, category = 2, mapID = 1492, cmID = 208 }, -- Maw of Souls (Mythic Keystone)
    [ 466] = { difficulty = 4, category = 2, mapID = 1571, cmID = 210 }, -- Court of Stars (Mythic Keystone)
    [ 467] = { difficulty = 4, category = 2, mapID = 1516, cmID = 209 }, -- The Arcway (Mythic Keystone)
    [ 468] = { difficulty = 3, category = 3, mapID = 1520, cmID =   0 }, -- Emerald Nightmare (Mythic)
    [ 470] = { difficulty = 2, category = 2, mapID = 1651, cmID =   0 }, -- Lower Karazhan (Heroic)
    [ 471] = { difficulty = 4, category = 2, mapID = 1651, cmID = 227 }, -- Lower Karazhan (Mythic Keystone)
    [ 472] = { difficulty = 2, category = 2, mapID = 1651, cmID =   0 }, -- Upper Karazhan (Heroic)
    [ 473] = { difficulty = 4, category = 2, mapID = 1651, cmID = 234 }, -- Upper Karazhan (Mythic Keystone)
    [ 474] = { difficulty = 2, category = 2, mapID = 1677, cmID =   0 }, -- Cathedral of Eternal Night (Heroic)
    [ 475] = { difficulty = 3, category = 2, mapID = 1677, cmID =   0 }, -- Cathedral of Eternal Night (Mythic)
    [ 476] = { difficulty = 4, category = 2, mapID = 1677, cmID = 233 }, -- Cathedral of Eternal Night (Mythic Keystone)
    [ 478] = { difficulty = 2, category = 3, mapID = 1676, cmID =   0 }, -- Tomb of Sargeras (Heroic)
    [ 479] = { difficulty = 1, category = 3, mapID = 1676, cmID =   0 }, -- Tomb of Sargeras (Normal)
    [ 480] = { difficulty = 3, category = 3, mapID = 1648, cmID =   0 }, -- Trial of Valor (Mythic)
    [ 481] = { difficulty = 3, category = 3, mapID = 1530, cmID =   0 }, -- The Nighthold (Mythic)
    [ 482] = { difficulty = 1, category = 3, mapID = 1712, cmID =   0 }, -- Antorus, the Burning Throne (Normal)
    [ 483] = { difficulty = 2, category = 3, mapID = 1712, cmID =   0 }, -- Antorus, the Burning Throne (Heroic)
    [ 484] = { difficulty = 2, category = 2, mapID = 1753, cmID =   0 }, -- Seat of the Triumvirate (Heroic)
    [ 485] = { difficulty = 3, category = 2, mapID = 1753, cmID =   0 }, -- Seat of the Triumvirate (Mythic)
    [ 486] = { difficulty = 4, category = 2, mapID = 1753, cmID = 239 }, -- Seat of the Triumvirate (Mythic Keystone)
    [ 492] = { difficulty = 3, category = 3, mapID = 1676, cmID =   0 }, -- Tomb of Sargeras (Mythic)
    [ 493] = { difficulty = 3, category = 3, mapID = 1712, cmID =   0 }, -- Antorus, the Burning Throne (Mythic)
    [ 494] = { difficulty = 1, category = 3, mapID = 1861, cmID =   0 }, -- Uldir (Normal)
    [ 495] = { difficulty = 2, category = 3, mapID = 1861, cmID =   0 }, -- Uldir (Heroic)
    [ 496] = { difficulty = 3, category = 3, mapID = 1861, cmID =   0 }, -- Uldir (Mythic)
    [ 497] = { difficulty = 1, category = 2, mapID = 1642, cmID =   0 }, -- Random Battle for Azeroth Dungeon (Normal)
    [ 498] = { difficulty = 2, category = 2, mapID = 1642, cmID =   0 }, -- Random Battle for Azeroth Dungeon (Heroic)
    [ 499] = { difficulty = 3, category = 2, mapID = 1763, cmID =   0 }, -- Atal'Dazar (Mythic)
    [ 500] = { difficulty = 2, category = 2, mapID = 1763, cmID =   0 }, -- Atal'Dazar (Heroic)
    [ 501] = { difficulty = 1, category = 2, mapID = 1763, cmID =   0 }, -- Atal'Dazar (Normal)
    [ 502] = { difficulty = 4, category = 2, mapID = 1763, cmID = 244 }, -- Atal'Dazar (Mythic Keystone)
    [ 503] = { difficulty = 1, category = 2, mapID = 1877, cmID =   0 }, -- Temple of Sethraliss (Normal)
    [ 504] = { difficulty = 4, category = 2, mapID = 1877, cmID = 250 }, -- Temple of Sethraliss (Mythic Keystone)
    [ 505] = { difficulty = 2, category = 2, mapID = 1877, cmID =   0 }, -- Temple of Sethraliss (Heroic)
    [ 506] = { difficulty = 1, category = 2, mapID = 1841, cmID =   0 }, -- The Underrot (Normal)
    [ 507] = { difficulty = 4, category = 2, mapID = 1841, cmID = 251 }, -- The Underrot (Mythic Keystone)
    [ 508] = { difficulty = 2, category = 2, mapID = 1841, cmID =   0 }, -- The Underrot (Heroic)
    [ 509] = { difficulty = 1, category = 2, mapID = 1594, cmID =   0 }, -- THE MOTHERLODE (Normal)
    [ 510] = { difficulty = 4, category = 2, mapID = 1594, cmID = 247 }, -- THE MOTHERLODE (Mythic Keystone)
    [ 511] = { difficulty = 2, category = 2, mapID = 1594, cmID =   0 }, -- THE MOTHERLODE (Heroic)
    [ 512] = { difficulty = 1, category = 2, mapID = 1762, cmID =   0 }, -- Kings' Rest (Normal)
    [ 513] = { difficulty = 3, category = 2, mapID = 1762, cmID =   0 }, -- Kings' Rest (Mythic)
    [ 514] = { difficulty = 4, category = 2, mapID = 1762, cmID = 249 }, -- Kings' Rest (Mythic Keystone)
    [ 515] = { difficulty = 2, category = 2, mapID = 1762, cmID =   0 }, -- Kings' Rest (Heroic)
    [ 516] = { difficulty = 1, category = 2, mapID = 1754, cmID =   0 }, -- Freehold (Normal)
    [ 517] = { difficulty = 3, category = 2, mapID = 1754, cmID =   0 }, -- Freehold (Mythic)
    [ 518] = { difficulty = 4, category = 2, mapID = 1754, cmID = 245 }, -- Freehold (Mythic Keystone)
    [ 519] = { difficulty = 2, category = 2, mapID = 1754, cmID =   0 }, -- Freehold (Heroic)
    [ 520] = { difficulty = 1, category = 2, mapID = 1864, cmID =   0 }, -- Shrine of the Storm (Normal)
    [ 521] = { difficulty = 3, category = 2, mapID = 1864, cmID =   0 }, -- Shrine of the Storm (Mythic)
    [ 522] = { difficulty = 4, category = 2, mapID = 1864, cmID = 252 }, -- Shrine of the Storm (Mythic Keystone)
    [ 523] = { difficulty = 2, category = 2, mapID = 1864, cmID =   0 }, -- Shrine of the Storm (Heroic)
    [ 524] = { difficulty = 1, category = 2, mapID = 1771, cmID =   0 }, -- Tol Dagor (Normal)
    [ 525] = { difficulty = 3, category = 2, mapID = 1771, cmID =   0 }, -- Tol Dagor (Mythic)
    [ 526] = { difficulty = 4, category = 2, mapID = 1771, cmID = 246 }, -- Tol Dagor (Mythic Keystone)
    [ 527] = { difficulty = 2, category = 2, mapID = 1771, cmID =   0 }, -- Tol Dagor (Heroic)
    [ 528] = { difficulty = 1, category = 2, mapID = 1862, cmID =   0 }, -- Waycrest Manor (Normal)
    [ 529] = { difficulty = 3, category = 2, mapID = 1862, cmID =   0 }, -- Waycrest Manor (Mythic)
    [ 530] = { difficulty = 4, category = 2, mapID = 1862, cmID = 248 }, -- Waycrest Manor (Mythic Keystone)
    [ 531] = { difficulty = 2, category = 2, mapID = 1862, cmID =   0 }, -- Waycrest Manor (Heroic)
    [ 532] = { difficulty = 1, category = 2, mapID = 1822, cmID =   0 }, -- Siege of Boralus (Normal)
    [ 533] = { difficulty = 3, category = 2, mapID = 1822, cmID =   0 }, -- Siege of Boralus (Mythic)
    [ 534] = { difficulty = 4, category = 2, mapID = 1822, cmID = 353 }, -- Siege of Boralus (Mythic Keystone)
    [ 535] = { difficulty = 2, category = 2, mapID = 1822, cmID =   0 }, -- Siege of Boralus (Heroic)
    [ 536] = { difficulty = 1, category = 2, mapID = 1862, cmID =   0 }, -- Waycrest Manor (Normal)
    [ 537] = { difficulty = 1, category = 2, mapID = 1771, cmID =   0 }, -- Tol Dagor (Normal)
    [ 538] = { difficulty = 1, category = 2, mapID = 1864, cmID =   0 }, -- Shrine of the Storm (Normal)
    [ 539] = { difficulty = 1, category = 2, mapID = 1754, cmID =   0 }, -- Freehold (Normal)
    [ 540] = { difficulty = 1, category = 2, mapID = 1594, cmID =   0 }, -- THE MOTHERLODE (Normal)
    [ 541] = { difficulty = 1, category = 2, mapID = 1841, cmID =   0 }, -- The Underrot (Normal)
    [ 542] = { difficulty = 1, category = 2, mapID = 1877, cmID =   0 }, -- Temple of Sethraliss (Normal)
    [ 543] = { difficulty = 1, category = 2, mapID = 1763, cmID =   0 }, -- Atal'Dazar (Normal)
    [ 644] = { difficulty = 3, category = 2, mapID = 1841, cmID =   0 }, -- The Underrot (Mythic)
    [ 645] = { difficulty = 3, category = 2, mapID = 1877, cmID =   0 }, -- Temple of Sethraliss (Mythic)
    [ 646] = { difficulty = 4, category = 2, mapID = 1594, cmID = 247 }, -- THE MOTHERLODE (Mythic)
    [ 658] = { difficulty = 3, category = 2, mapID = 1822, cmID =   0 }, -- Siege of Boralus (Mythic)
    [ 659] = { difficulty = 4, category = 2, mapID = 1822, cmID = 353 }, -- Siege of Boralus (Mythic Keystone)
    [ 660] = { difficulty = 3, category = 2, mapID = 1762, cmID =   0 }, -- Kings' Rest (Mythic)
    [ 661] = { difficulty = 4, category = 2, mapID = 1762, cmID = 249 }, -- Kings' Rest (Mythic Keystone)
    [ 663] = { difficulty = 1, category = 3, mapID = 2070, cmID =   0 }, -- Battle of Dazar'alor (Normal)
    [ 664] = { difficulty = 2, category = 3, mapID = 2070, cmID =   0 }, -- Battle of Dazar'alor (Heroic)
    [ 665] = { difficulty = 3, category = 3, mapID = 2070, cmID =   0 }, -- Battle of Dazar'alor (Mythic)
    [ 666] = { difficulty = 3, category = 3, mapID = 2096, cmID =   0 }, -- Crucible of Storms (Mythic)
    [ 667] = { difficulty = 2, category = 3, mapID = 2096, cmID =   0 }, -- Crucible of Storms (Heroic)
    [ 668] = { difficulty = 1, category = 3, mapID = 2096, cmID =   0 }, -- Crucible of Storms (Normal)
    [ 669] = { difficulty = 3, category = 2, mapID = 2097, cmID =   0 }, -- Operation: Mechagon (Mythic)
    [ 670] = { difficulty = 3, category = 3, mapID = 2164, cmID =   0 }, -- The Eternal Palace (Mythic)
    [ 671] = { difficulty = 2, category = 3, mapID = 2164, cmID =   0 }, -- The Eternal Palace (Heroic)
    [ 672] = { difficulty = 1, category = 3, mapID = 2164, cmID =   0 }, -- The Eternal Palace (Normal)
    [ 673] = { difficulty = 2, category = 3, mapID = 1804, cmID =   0 }, -- Battle for Stromgarde (Heroic)
    [ 676] = { difficulty = 1, category = 3, mapID =  720, cmID =   0 }, -- Firelands (Normal)
    [ 677] = { difficulty = 2, category = 3, mapID =  720, cmID =   0 }, -- Firelands (Heroic)
    [ 679] = { difficulty = 4, category = 2, mapID = 2097, cmID = 369 }, -- Mechagon Junkyard (Mythic Keystone)
    [ 682] = { difficulty = 2, category = 2, mapID = 2097, cmID =   0 }, -- Mechagon Junkyard (Heroic)
    [ 683] = { difficulty = 4, category = 2, mapID = 2097, cmID = 370 }, -- Mechagon Workshop (Mythic Keystone)
    [ 684] = { difficulty = 2, category = 2, mapID = 2097, cmID =   0 }, -- Mechagon Workshop (Heroic)
    [ 685] = { difficulty = 3, category = 3, mapID = 2217, cmID =   0 }, -- Ny'alotha, the Waking City (Mythic)
    [ 686] = { difficulty = 2, category = 3, mapID = 2217, cmID =   0 }, -- Ny'alotha, the Waking City (Heroic)
    [ 687] = { difficulty = 1, category = 3, mapID = 2217, cmID =   0 }, -- Ny'alotha, the Waking City (Normal)
    [ 688] = { difficulty = 1, category = 2, mapID = 2289, cmID =   0 }, -- Plaguefall (Normal)
    [ 689] = { difficulty = 2, category = 2, mapID = 2289, cmID =   0 }, -- Plaguefall (Heroic)
    [ 690] = { difficulty = 3, category = 2, mapID = 2289, cmID =   0 }, -- Plaguefall (Mythic)
    [ 691] = { difficulty = 4, category = 2, mapID = 2289, cmID = 379 }, -- Plaguefall (Mythic Keystone)
    [ 692] = { difficulty = 1, category = 2, mapID = 2291, cmID =   0 }, -- De Other Side (Normal)
    [ 693] = { difficulty = 2, category = 2, mapID = 2291, cmID =   0 }, -- De Other Side (Heroic)
    [ 694] = { difficulty = 3, category = 2, mapID = 2291, cmID =   0 }, -- De Other Side (Mythic)
    [ 695] = { difficulty = 4, category = 2, mapID = 2291, cmID = 377 }, -- De Other Side (Mythic Keystone)
    [ 696] = { difficulty = 1, category = 2, mapID = 2287, cmID =   0 }, -- Halls of Atonement (Normal)
    [ 697] = { difficulty = 2, category = 2, mapID = 2287, cmID =   0 }, -- Halls of Atonement (Heroic)
    [ 698] = { difficulty = 3, category = 2, mapID = 2287, cmID =   0 }, -- Halls of Atonement (Mythic)
    [ 699] = { difficulty = 4, category = 2, mapID = 2287, cmID = 378 }, -- Halls of Atonement (Mythic Keystone)
    [ 700] = { difficulty = 1, category = 2, mapID = 2290, cmID =   0 }, -- Mists of Tirna Scithe (Normal)
    [ 701] = { difficulty = 2, category = 2, mapID = 2290, cmID =   0 }, -- Mists of Tirna Scithe (Heroic)
    [ 702] = { difficulty = 3, category = 2, mapID = 2290, cmID =   0 }, -- Mists of Tirna Scithe (Mythic)
    [ 703] = { difficulty = 4, category = 2, mapID = 2290, cmID = 375 }, -- Mists of Tirna Scithe (Mythic Keystone)
    [ 704] = { difficulty = 1, category = 2, mapID = 2284, cmID =   0 }, -- Sanguine Depths (Normal)
    [ 705] = { difficulty = 4, category = 2, mapID = 2284, cmID = 380 }, -- Sanguine Depths (Mythic Keystone)
    [ 706] = { difficulty = 3, category = 2, mapID = 2284, cmID =   0 }, -- Sanguine Depths (Mythic)
    [ 707] = { difficulty = 2, category = 2, mapID = 2284, cmID =   0 }, -- Sanguine Depths (Heroic)
    [ 708] = { difficulty = 1, category = 2, mapID = 2285, cmID =   0 }, -- Spires of Ascension (Normal)
    [ 709] = { difficulty = 4, category = 2, mapID = 2285, cmID = 381 }, -- Spires of Ascension (Mythic Keystone)
    [ 710] = { difficulty = 3, category = 2, mapID = 2285, cmID =   0 }, -- Spires of Ascension (Mythic)
    [ 711] = { difficulty = 2, category = 2, mapID = 2285, cmID =   0 }, -- Spires of Ascension (Heroic)
    [ 712] = { difficulty = 1, category = 2, mapID = 2286, cmID =   0 }, -- The Necrotic Wake (Normal)
    [ 713] = { difficulty = 4, category = 2, mapID = 2286, cmID = 376 }, -- The Necrotic Wake (Mythic Keystone)
    [ 714] = { difficulty = 3, category = 2, mapID = 2286, cmID =   0 }, -- The Necrotic Wake (Mythic)
    [ 715] = { difficulty = 2, category = 2, mapID = 2286, cmID =   0 }, -- The Necrotic Wake (Heroic)
    [ 716] = { difficulty = 1, category = 2, mapID = 2293, cmID =   0 }, -- Theater of Pain (Normal)
    [ 717] = { difficulty = 4, category = 2, mapID = 2293, cmID = 382 }, -- Theater of Pain (Mythic Keystone)
    [ 718] = { difficulty = 3, category = 2, mapID = 2293, cmID =   0 }, -- Theater of Pain (Mythic)
    [ 719] = { difficulty = 2, category = 2, mapID = 2293, cmID =   0 }, -- Theater of Pain (Heroic)
    [ 720] = { difficulty = 1, category = 3, mapID = 2296, cmID =   0 }, -- Castle Nathria (Normal)
    [ 721] = { difficulty = 3, category = 3, mapID = 2296, cmID =   0 }, -- Castle Nathria (Mythic)
    [ 722] = { difficulty = 2, category = 3, mapID = 2296, cmID =   0 }, -- Castle Nathria (Heroic)
    [ 743] = { difficulty = 1, category = 3, mapID = 2450, cmID =   0 }, -- Sanctum of Domination (Normal)
    [ 744] = { difficulty = 2, category = 3, mapID = 2450, cmID =   0 }, -- Sanctum of Domination (Heroic)
    [ 745] = { difficulty = 3, category = 3, mapID = 2450, cmID =   0 }, -- Sanctum of Domination (Mythic)
    [ 746] = { difficulty = 3, category = 2, mapID = 2441, cmID =   0 }, -- Tazavesh, the Veiled Market (Mythic)
    [1016] = { difficulty = 4, category = 2, mapID = 2441, cmID = 391 }, -- Tazavesh Streets (Mythic Keystone)
    [1017] = { difficulty = 4, category = 2, mapID = 2441, cmID = 392 }, -- Tazavesh Gambit (Mythic Keystone)
    [1018] = { difficulty = 2, category = 2, mapID = 2441, cmID =   0 }, -- Tazavesh Streets (Heroic)
    [1019] = { difficulty = 2, category = 2, mapID = 2441, cmID =   0 }, -- Tazavesh Gambit (Heroic)
    [1020] = { difficulty = 1, category = 3, mapID = 2481, cmID =   0 }, -- Sepulcher of the First Ones (Normal)
    [1021] = { difficulty = 2, category = 3, mapID = 2481, cmID =   0 }, -- Sepulcher of the First Ones (Heroic)
    [1022] = { difficulty = 3, category = 3, mapID = 2481, cmID =   0 }, -- Sepulcher of the First Ones (Mythic)
    [1157] = { difficulty = 1, category = 2, mapID = 2526, cmID =   0 }, -- Algeth'ar Academy (Normal)
    [1158] = { difficulty = 2, category = 2, mapID = 2526, cmID =   0 }, -- Algeth'ar Academy (Heroic)
    [1159] = { difficulty = 3, category = 2, mapID = 2526, cmID =   0 }, -- Algeth'ar Academy (Mythic)
    [1160] = { difficulty = 4, category = 2, mapID = 2526, cmID = 402 }, -- Algeth'ar Academy (Mythic Keystone)
    [1161] = { difficulty = 1, category = 2, mapID = 2520, cmID =   0 }, -- Brackenhide Hollow (Normal)
    [1162] = { difficulty = 2, category = 2, mapID = 2520, cmID =   0 }, -- Brackenhide Hollow (Heroic)
    [1163] = { difficulty = 3, category = 2, mapID = 2520, cmID =   0 }, -- Brackenhide Hollow (Mythic)
    [1164] = { difficulty = 4, category = 2, mapID = 2520, cmID = 405 }, -- Brackenhide Hollow (Mythic Keystone)
    [1165] = { difficulty = 1, category = 2, mapID = 2527, cmID =   0 }, -- Halls of Infusion (Normal)
    [1166] = { difficulty = 2, category = 2, mapID = 2527, cmID =   0 }, -- Halls of Infusion (Heroic)
    [1167] = { difficulty = 3, category = 2, mapID = 2527, cmID =   0 }, -- Halls of Infusion (Mythic)
    [1168] = { difficulty = 4, category = 2, mapID = 2527, cmID = 406 }, -- Halls of Infusion (Mythic Keystone)
    [1169] = { difficulty = 1, category = 2, mapID = 2519, cmID =   0 }, -- Neltharus (Normal)
    [1170] = { difficulty = 2, category = 2, mapID = 2519, cmID =   0 }, -- Neltharus (Heroic)
    [1171] = { difficulty = 3, category = 2, mapID = 2519, cmID =   0 }, -- Neltharus (Mythic)
    [1172] = { difficulty = 4, category = 2, mapID = 2519, cmID = 404 }, -- Neltharus (Mythic Keystone)
    [1173] = { difficulty = 1, category = 2, mapID = 2521, cmID =   0 }, -- Ruby Life Pools (Normal)
    [1174] = { difficulty = 2, category = 2, mapID = 2521, cmID =   0 }, -- Ruby Life Pools (Heroic)
    [1175] = { difficulty = 3, category = 2, mapID = 2521, cmID =   0 }, -- Ruby Life Pools (Mythic)
    [1176] = { difficulty = 4, category = 2, mapID = 2521, cmID = 399 }, -- Ruby Life Pools (Mythic Keystone)
    [1177] = { difficulty = 1, category = 2, mapID = 2515, cmID =   0 }, -- The Azure Vault (Normal)
    [1178] = { difficulty = 2, category = 2, mapID = 2515, cmID =   0 }, -- The Azure Vault (Heroic)
    [1179] = { difficulty = 3, category = 2, mapID = 2515, cmID =   0 }, -- The Azure Vault (Mythic)
    [1180] = { difficulty = 4, category = 2, mapID = 2515, cmID = 401 }, -- The Azure Vault (Mythic Keystone)
    [1181] = { difficulty = 1, category = 2, mapID = 2516, cmID =   0 }, -- The Nokhud Offensive (Normal)
    [1182] = { difficulty = 2, category = 2, mapID = 2516, cmID =   0 }, -- The Nokhud Offensive (Heroic)
    [1183] = { difficulty = 3, category = 2, mapID = 2516, cmID =   0 }, -- The Nokhud Offensive (Mythic)
    [1184] = { difficulty = 4, category = 2, mapID = 2516, cmID = 400 }, -- The Nokhud Offensive (Mythic Keystone)
    [1185] = { difficulty = 1, category = 2, mapID = 2451, cmID =   0 }, -- Uldaman: Legacy of Tyr (Normal)
    [1186] = { difficulty = 2, category = 2, mapID = 2451, cmID =   0 }, -- Uldaman: Legacy of Tyr (Heroic)
    [1187] = { difficulty = 3, category = 2, mapID = 2451, cmID =   0 }, -- Uldaman: Legacy of Tyr (Mythic)
    [1188] = { difficulty = 4, category = 2, mapID = 2451, cmID = 403 }, -- Uldaman: Legacy of Tyr (Mythic Keystone)
    [1189] = { difficulty = 1, category = 3, mapID = 2522, cmID =   0 }, -- Vault of the Incarnates (Normal)
    [1190] = { difficulty = 2, category = 3, mapID = 2522, cmID =   0 }, -- Vault of the Incarnates (Heroic)
    [1191] = { difficulty = 3, category = 3, mapID = 2522, cmID =   0 }, -- Vault of the Incarnates (Mythic)
    [1192] = { difficulty = 4, category = 2, mapID =  960, cmID =   2 }, -- Temple of the Jade Serpent (Mythic Keystone)
    [1193] = { difficulty = 4, category = 2, mapID = 1176, cmID = 165 }, -- Shadowmoon Burial Grounds (Mythic Keystone)
    [1194] = { difficulty = 1, category = 2, mapID = 2451, cmID =   0 }, -- Uldaman: Legacy of Tyr (Normal)
    [1195] = { difficulty = 4, category = 2, mapID =  657, cmID = 438 }, -- The Vortex Pinnacle (Mythic Keystone)
    [1235] = { difficulty = 1, category = 3, mapID = 2569, cmID =   0 }, -- Aberrus (Normal)
    [1236] = { difficulty = 2, category = 3, mapID = 2569, cmID =   0 }, -- Aberrus (Heroic)
    [1237] = { difficulty = 3, category = 3, mapID = 2569, cmID =   0 }, -- Aberrus (Mythic)
    [1244] = { difficulty = 3, category = 2, mapID = 2579, cmID =   0 }, -- Dawn of the Infinite (Mythic)
    [1245] = { difficulty = 2, category = 2, mapID = 2579, cmID =   0 }, -- Dawn of the Infinite: Galakrond's Fall (Heroic)
    [1246] = { difficulty = 2, category = 2, mapID = 2579, cmID =   0 }, -- Dawn of the Infinite: Murozond's Rise (Heroic)
    [1247] = { difficulty = 4, category = 2, mapID = 2579, cmID = 463 }, -- Dawn of the Infinite: Galakrond's Fall (Mythic Keystone)
    [1248] = { difficulty = 4, category = 2, mapID = 2579, cmID = 464 }, -- Dawn of the Infinite: Murozond's Rise (Mythic Keystone)
    [1250] = { difficulty = 4, category = 2, mapID = 2579, cmID = 463 }, -- Galakrond's Fall (Mythic Keystone)
    [1251] = { difficulty = 1, category = 3, mapID = 2549, cmID =   0 }, -- Amirdrassil, the Dream's Hope (Normal)
    [1252] = { difficulty = 2, category = 3, mapID = 2549, cmID =   0 }, -- Amirdrassil, the Dream's Hope (Heroic)
    [1253] = { difficulty = 3, category = 3, mapID = 2549, cmID =   0 }, -- Amirdrassil, the Dream's Hope (Mythic)
    [1274] = { difficulty = 4, category = 2, mapID =  643, cmID = 456 }, -- Throne of the Tides (Mythic Keystone)
}

-- Return a default set if activity not found
setmetatable(C.ACTIVITY, { __index = function() return { difficulty = 0, category = 0, mapID = 0, cmID = 0 } end })
